Page MenuHomePhabricator

[LLDB] Update SVE Z reg info to remove invalidate regs
ClosedPublic

Authored by omjavaid on Nov 9 2020, 2:12 AM.

Details

Summary

In our recent discussion we are aiming to make LLDB registers exchange minimum possible information in qRegisterInfo or XMl register descriptions.

For SVE registers Z registers are catagorized as primary registers and need not have any infomration on its pseudo registers. Rather only the pseudo registers should have the information on which primary register they belong to.

This patch invalidate_regs list from Z registers and will mitigate its impact on SVE resize patch in a follow up update.

Diff Detail

Event Timeline

omjavaid created this revision.Nov 9 2020, 2:12 AM
omjavaid requested review of this revision.Nov 9 2020, 2:12 AM
labath accepted this revision.Nov 10 2020, 6:01 AM
This revision is now accepted and ready to land.Nov 10 2020, 6:01 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptNov 17 2020, 4:15 AM